CREATE TABLE mkt_imp_object_details] (
    OBJECT_DETAIL_ID                  NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    IMPORT_OBJECT_ID                  NUMBER(18, 0) ,
    OBJECT_NAME                       VARCHAR2(400) ,
    OBJECT_DETAIL_TABLE               VARCHAR2(400) ,
    OBJECT_DETAIL_VO                  VARCHAR2(2400),
    PARENT_DETAIL_ID                  NUMBER(18, 0) ,
    VIEW_OBJECT_INSTANCE_NAME         VARCHAR2(400) ,
    VIEW_ACCESSOR_NAME                VARCHAR2(400) ,
    BASE_TABLE_NAME                   VARCHAR2(400) ,
    OBJECT_DETAIL_NUMBER              VARCHAR2(520) ,
    MODULE_ID                         VARCHAR2(128) ,
    SOURCE_FILE_NAME                  VARCHAR2(480) ,
    TXN_VO_INSTANCE_NAME              VARCHAR2(400) ,
    TXN_VO_ACCESSOR_NAME              VARCHAR2(400) ,
    TXN_VO_NAME                       VARCHAR2(2400),
    TXN_VO_PRIMARY_KEY_ATTR           VARCHAR2(400) ,
    AK_VIEW_OBJECT_INSTANCE_NAME      VARCHAR2(400) ,
    AK_VIEW_ACCESSOR_NAME             VARCHAR2(400) ,
    OBJECT_CATEGORY                   VARCHAR2(240) ,
    RECURSIVE_IMP_VO_ACCESSOR_NAME    VARCHAR2(400) ,
    RECURSIVE_SUPPORT                 VARCHAR2(4)   ,
    SRC_VIEW_CRITERIA                 VARCHAR2(400) ,
    RECURSIVE_TXN_VO_ACCESSOR_NAME    VARCHAR2(400) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    STANDARD_OBJECT_DETAIL_TABLE      VARCHAR2(400) ,
    VISIBLE_FLAG                      VARCHAR2(4)   ,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL
);
